# Exponate für Oldenburger Computer-Museum #
********************************************

*(Hardware- und Software-Status)*

             August 2024 K. Huber, Strahlenzentrum Univ. Gießen
             Version 16.Sep.2024

1 History
*********

   • *Telefunken Analogrechner RA741*
     1966 wurde der RA741 von der Abteilung Biophysik zur Berechnung von
     Differenzialgleichungen angeschafft.  Bei meiner Diplomarbeit kam
     er zum Einsatz bei einem Regelungsproblem.

   • *TR86/CALAS (BESY 70)*
     1969 wurde im Strahlenzentrum der JLU Gießen die TR86-Anlage Nr.
     16 von Telefunken zusammen mit der CALAS-Elektronik der KFK zur
     Experimentsteuerung und Datenerfassung sowie deren Auswertung
     installiert.  Später kamen noch zwei weitere solche Anlagen hinzu.
     Alle drei waren über einen Kreuzschienenverteiler miteinander
     verbunden, so dass die Experimente nach Bedarf einer dieser Anlagen
     zugeordnet werden konnten.  Die Anlage Nr.  16 wurde am Ende vom
     Deutschen Museum übernommen (ohne CALAS), die beiden anderen gingen
     zum Schrott.
     Davon geblieben sind folgende Komponenten:
            2 Kernspeicherblöcke je 16kB * 13 Bit
            1 19" Kernspeichereinschub mit 2 Blöcken und Ansteuerung
            1 Scheibe einer Festkopfplatte, 2MB, 60cm Durchm.
            1 Kopfträgerplatte mit 9 Schreib-/Leseköpfen, je 13 Spuren
            2 CALAS-Boards (Kuchenblechformat)

   • *VAX-750/PDP11-23 (VMS 4.0/RSX11S ) (STRAX)*
     1985 wurde die TR86/CALAS-Anlage ersetzt durch eine VAX750 als
     Server und acht PDP11-23 (ohne Festplatte) als Front-End für die
     Experimente.
     Von der VAX-750 sind nur 4 Boards übriggeblieben.

   • *VAXstation 4000/60 (VMS 5.5) (STRAX2)*
     1992 wurde die VAX-750 durch eine VAXstation 4000 ersetzt.

   • *DECstation 5000/33 (Ultrix 4.3) (TUTNIX, KANNIX, HATNIX)*
     1993 wurden im Rahmen eines WAP-Antrages (wissensch.  Abeitsplatz)
     drei DECstation 5000 beschafft.
     HATNIX ist verloren gegangen.

   • *Alpha Server 1000A 5/333 (Digital Unix 4.4F) (SERVIX)*
     1997 wurde der Alpha Server 1000A als Abteilungsserver angeschafft.

   • *MicroVAX 2000 (VMS 5.?)  (FIX, FOXI)*
     19??  wurden die beiden MicroVAX 2000 bei einer Versteigerung der
     Post erworben.

   • *VME-Systeme, MVME-CPUs (VxWorks 5.3)*
     ????  wurden die PDP11-23 durch VME-Systeme mit MVME162 und MVME172
     Rechnern von Motorola mit dem Realtime Betriebssystem VxWorks von
     Wind River ersetzt.  Die Serverfunktion hat dabei der Alpha Server
     SERVIX übernommen.

   • *Intel-PC Dell Prec 3620 (Debian) (IONIX)*
     2020 wurde der Alpha Server ersetzt durch einen PC mit
     Debian-Linux.

   • *Intel-PCs (VxWorks 21.07)*
     2024 Zur Zeit werden die VME-Systeme ersetzt durch Intel-PCs mit
     einem aktuellen VxWorks-Betriebssystem.

     Es ist geplant, die verbliebenen Museumsstücke in Kürze vom
     Oldenburger Computermuseum abholen zu lassen.

2 AlphaServer 1000A 5/333 (SERVIX)
**********************************

2.1 AlphaServer Dokumentation
=============================

     Digital Unix (ca. 60 Paperback)
     Owners Guides (5 Ringordner)

2.2 AlphaServer Hardware
========================

Der SERVIX hatte sich mit einer Rauchwolke aus dem Netzteil
verabschiedet.  Unsere E-Werkstatt hat dies wieder reparieren können.

Nach dem Anschalten durchläuft der SERVIX seinen Selbsttest und erkennt
die DKA100 als defekt:
     DKA100 defekt
     DKA200 OK (int. Disk)
     DKA300 OK (ext. CD-ROM)
     MKA400 OK (ext. DAT-Laufwerk)
     MKA500 OK (int. DAT-Laufwerk, Bandsalat!)
     DKA600 OK (int. Disk)

2.3 AlphaServer Software
========================

Keine der beiden verbliebenen Disks enthält ein bootbares System.  Wie
sich später rekonstruieren ließ, war die System-Disk eine externe
Platte, die aber verlorengegangen ist.

Um den SERVIX nach dieser Panne wieder zum Laufen zu bringen gibt es die
folgenden Möglichkeiten:
   • Neuinstallation von DIGITAL UNIX
     (DIGITAL UNIX Installation Guide, 4.4)
     Es existiert noch eine DIGITAL UNIX V4.0C CD, mit der eine
     Installation auf der DKA600 möglich war.  Mit der
     Default-Installation erhält man ein lauffähiges aber ziemlich
     mageres System.  Mit der Custom-Installation kann man Subsets dazu
     nehmen, aber nicht zuviel sonst bleibt sie bereits zu Beginn
     stecken.  Mit setld kann man benötigte SubSet nachinstallieren.

   • Restore mit btextract vom DAT-Tape
     (DIGITAL UNIX System Administration, 12.2)
     Es existieren einige mit btcreate erstellte bootbare Tapes (mit /,
     /usr, /usr/var).  Mit dem HP-Laufwerk SureStore DAT24 am zweiten
     (breiter Stecker, unten, waagrecht) SCSI-Anschluss war es möglich
     das Tape vom 06.01.16 zu booten und auf die DKA200 zu übertragen.
     (Nicht benutzte SCSI-Ausgänge immer abschließen!)
     Die DKA200 wurde dazu zuvor mit /sbin/disklabel neu partitioniert:
                  Size    Offset    Type
          a    1000000         0   AdvFS
          b    1000000   1000000   AdvFS
          c  143374744         0  unused
          d          0         0  unused
          e          0         0  unused
          f          0         0  unused
          g    6000000   2000000   AdvFS
          h    6000000   8000000   AdvFS

   • Restore mit vrestore vom DAT-Tape
     (DIGITAL UNIX System Administration, 12.5)
     Es existieren einige mit dem Skript /home/Backup erstellte Tapes,
     die mit /home/Restore gelesen werden können.  Damit wurde
     /usr/local vom 03.01.05 wieder hergestellt, jedoch aus Platzgründen
     als /usr/var/local mit einem einem Link dahin.

2.4 AlphaServer Backup
======================

Mit dem Sony-DAT-Laufwerk und 90m Tapes gelingt es die neu erstellte
Konfiguration auf Tapes zu retten.  Allerdings werden die Tapes erst
einmal als schreibgesperrt erkannt und man muss sie oft wiederholt neu
laden.
     Neue Backups:
     Bootable Tapes mit /, /usr, /usr/var, /usr/local als /usr/var/local
      13.09.24

     Mit /home/Backup erstellte Tapes, lesen mit /home/Restore:
      Backup 1 mit /, /usr, /usr/var, /usr/local als /usr/var/local
      13.09.24

     Vorhandene, alte Backups:
     Bootable Tapes I/II mit /, /usr, /usr/var
      27.10.15
      17.12.15
      06.01.16

     Mit /home/Backup erstellte Tapes, lesen mit /home/Restore:
     Backup 1-1, 1-2; 4.1.06

2.5 Vorschlag für Demos
=======================

Die mit VAX/PDP11 gemessenen Spektren können auch in deutlich
verbesserter Weise auf dem Bildschirm des SERVIX grafisch ausgegeben
werden:
     AM241.SPE  : Americium-241 Eichpräparat
     BA133.SPE  : Barium-133 Eichpräparat
     BI207.SPE  : Wismut-207 Eichpräparat
     CO60.SPE   : Kobalt-60 Eichpräparat
     CS137.SPE  : Cäsium-137 Eichpräparat
     NA22.SPE   : Natrium-22 Eichpräparat
     STRUMPF.SPE: alter Glühstrumpf mit aktivem Thorium
     KACHEL.SPE : Kachel mit Uran-haltigem Farbstoff
     UHR.SPE    : Taschenuhr mit Radium-haltigen Leuchtziffern
     RAUM.SPE   : Raumuntergrund
     MATRIX.IIM : 3-D-Spektrum (x-y-z-Matrix)

Für die grafische Ausgabe verwendet man das dxterm (DECterm)
Terminal-Programm.
     > peak
     Analyse Spectrum
     Path: ~/ex_home/ex_data/matrix.iim

Mit dem 3-D-Spektrum matrix.iim bietet sich eine schöne Spielerei an:
Man bringt zunächst zwei ganz gleiche Plots direkt neben einander auf
den Bildschirm (2 mal DECterm).  Dann verändert man bei einem die
Isometrie leicht (linker Plot, ein Tipp rechte Cursor-Taste).  Dann
schaut man auf die Trennlinie wischen den beiden Plots und beginnt zu
schielen.  Aus der einen Trennlinie werden dadurch zwei und schließlich
schieben sich die beiden Matritzen übereinander.  Wenn Sie dies hin
kriegen, sehen Sie matrix.iim stereoskopisch.  Manche brauchen ein wenig
Übung dazu...

3 DECstation 5000 33 (TUTNIX, KANNIX)
*************************************

3.1 DECstation Dokumentation
============================

     Lizenzen (1 Mappe)
     DECstation Installation, Users Guide usw. (16 Hefte)
     Ultrix Management 4.0 (10 Ordner)
     Ultrix Info usw. (12 Hefte)
     Ultrix 4.3, 4.4 (10 Hefte)
     Ultrix DECnet (10 Hefte)
     DEC C, DEC Fortran (7 Hefte)
     DECwrite (1 Box)
     DECpresent (1 Box)
     Installations CDs (3 Mappen)

3.2 DECstation Hardware
=======================

   • Wartung
     Bei beiden Geräten waren die Netzteile defekt.  Unsere E-Werkstatt
     hat das in Ordnung gebracht.

   • Zubehör
        > 2 Digital VRC 16 Röhrenmonitore
          2 Digital LK501 AG Tastaturen
          2 Digital RRD 24-DA SCSI CD-Reader
          HP SureStore DAT24 SCSI DAT-Laufwerk
          TRAXDATA PRO SERIES DDS4 SCSI DAT-Laufwerk

        > Für beide Geräte habe ich jeweils eine externe SCSI-Disk
          hergerichtet, da die interne Disk recht klein ist.  Die
          externe enthält insbesondere eine umfangreichere /usr.  Beide
          Geräte sind auch ohne externe Disk lauffähig, jedoch mit
          abgemagerter /usr.
               TUTNIX
               Barracuda 9, ST19171N
               rz0a (/), rz0g (/usr)

               KANNIX
               Barracuda 4, ST15150N
               rz0a (/), rz0g (/usr)

3.3 DECstation Software
=======================

Beide Geräte waren in ein Netzwerk integriert und auf ihre Nachbarn
angewiesen.  Sie sind jetzt so konfiguriert, dass sie alleine betrieben
werden können.

Mit ’>> boot’ werden sie gestartet und landen z.Z. im Single-User-Mode.
Mit ’# ^d’ wird der Multi-User-Mode gestartet.
Durch ein geeignetes Boot-Kommando oder entsprechende Programmierung des
NVRAM kann der Multi-User-Mode direkt gestartet werden (s.h.  Users
Guide).

4 MicroVAX 2000 (FIX, FOXI)
***************************

4.1 MicroVAX Dokumentation
==========================

     Lizenzen (1 Mappe)
     Hardware Information (2 * 1 Box)

4.2 MicroVAX Hardware
=====================

Es sind zwei funktionsfähige Geräte vorhanden.  Über je eine
Erweiterungseinheit können 8 weitere VT-Terminals angeschlossen werden.

Bei beiden Geräten ist die Backup-Batterie des Realtime Bausteins
(DALLAS DS1287A) am Ende.  Dies hat zur Folge, dass bei jedem Booten
Datum und Zeit neu eigegeben werden müssen.  Da der Baustein eingelötet
ist, lässt er sich nicht einfach wechseln.  Ein Ersatztyp wäre
DS12C887A.

4.3 MicroVAX Software
=====================

Fix und Foxi sind als VMS-Cluster konfiguriert.  Dies hat zur Folge,
dass die beiden nach dem Booten aufeinander warten.

5 VAXstation 4000 60 (STRAX2)
*****************************

5.1 VAXstation Dokumentation
============================

     Lizenzen (3 Mappen)
     VAXstation Owners Guides (12 Hefte)
     VAX/VMS 4.0 (12 breite Ordner)
     VAX/VMS 4.0, Guide to ... (13 schmale Ordner)
     VAX/VMS 4.0 new (15 breite Ordner)
     VAX/VMS 4.4 (20 breite Ordner)
     VAX/VMS 5.5 Release Notes (2 Ordner)
     Open VMS 7.1 (23 Hefte)
     VAX Fortran (5 Ordner, 2 Hefte)
     VAX-11 RSX 4.0 (1 Ordner)

5.2 VAXstation Hardware
=======================

   • Wartung
     Die Lüfter der VAXstation wurden von unserer E-Werkstatt getauscht
     und die Betriebsspannungen überprüft.
   • Memory Error
     Die VAXstation hat ein Memory-Problem.  Ursprünglich war sie mit
     32MB bestückt (8MB lokal, 24MB Erweiterung).  Mit 24MB und 32MB
     endet das Booten mit Core Dump.  Zur Zeit ist sie nur mit 16MB zu
     betreiben:

     Der Selbsttest nach dem Anschalten zeigt einen Memory-Error an: MEM
     0770

     >>> SHO MEM
     zeigt, dass in den unteren 4MB systematisch Pages nicht erreichbar
     sind.

     $ SHO MEM/FULL
     zeigt nach dem Booten 506 Bad Pages.

     $ ANALYSE/ERROR/INCLUDE=(MEMORY)/SINCE=DD-MM-YYYY
     zeigt:
          UNCORRECTABLE MEMORY ERROR
          MEMORY CONFIGURATION:
           _TOTAL MEMORY = 16 MB
           _On Board MEMORY (8MB) - CPU MODULE
           _MS44(L)-AA MEMORY SIMM(4MB)BANK 1 FRONT
           _MS44(L)-AA MEMORY SIMM(4MB)BANK 1 REAR
          MEMORY ERROR STATUS:
           _CPU Board MEMORY
           _Valid Bit Set
     Zur Zeit gibt es keine neuen Memory-Einträge mehr im ERROR_LOG
     obwohl das Problem weiterhin besteht!?
   • Zubehör
        > Digital VRT 16DA Monitor, Digital LK201 Tastatur
          Führt beim Einloggen zum Core Dump.
          Möglicherweise wegen des Memory-Problems.

        > CD-Reader und DAT-Laufwerk in einer SCSI-Box.

5.3 VAXstation Software
=======================

Da der VRT 16DA Monitor nicht benutzt werden kann, erfolgen die
Programmierarbeiten mittels VT200 oder deutlich komfortabler über
Internet (Telnet) von Linux oder Windows aus.

5.3.1 System-Einstellungen
--------------------------

Die VAXstation ist sowohl für DECnet als auch für Internet konfiguriert.
Während die DECnet-Konfiguration möglicherweise beibehalten werden kann,
muss die Internet-Adresse vermutlich an die neue Umgebung angepasst
werden.
     DECnet-Adressen
       STRAX2 50.2
       PDP11en 50.10, 50.11, ...

     Internet-Adresse
       strax2.strz.uni-giessen.de 134.176.20.254

   Die Konfiguration des Internets erfolgt mittels UCX:
     $ SET DEF SYS$MANAGER
     $ UCX
     (UCX> HELP)
     $ UCX> SHOW INTERFACE
     $ UCX> SET INTERFACE SE0 /ADDR=134.176.20.254
     $ UCX> SET INTERFACE SE0 /NETW=134.176.20.0
     $ UCX> SET INTERFACE SE0 /BROAD=134.176.20.255
     $ UCX> SHOW INTERFACE

5.3.2 RSX11S-Directories
------------------------

     Aus der Sicht des SYSTEM-Accounts gelangt man mit "RSXS$ROOT"
     zu dem Verzeichnis mit den vorhandenen RSX11S-Versionen
     (LNM$SYSTEM_TABLE):
     RSX11S-Root-Directory
       "RSXS$ROOT" = "EXP$DISK:"
     1 "EXP$DISK" = "STRAX2$DKA0:[EXPROOT.]"
     Systemgenerierung
       "RSXS41$GEN" = "STRAX2$DKA0:[RSX11S.]"
       "RSXS42$GEN" = "STRAX2$DKA100:[RSXS42.]"
       "RSXS44$GEN" = "STRAX2$DKA100:[RSXS44.]"
     Systemversionen
       "RSXS41$PDP23" = "STRAX2$DKA0:[EXPROOT.RSXS41$PDP23.]"
       "RSXS42$PDP23" = "STRAX2$DKA0:[EXPROOT.RSXS42$PDP23.]"
       "RSXS44$PDP23" = "STRAX2$DKA0:[EXPROOT.RSXS44$PDP23.]"
       "RSXS44$PDP73" = "STRAX2$DKA0:[EXPROOT.RSXS44$PDP73.]"
     obsolete Verzeichnisstruktur
       "EX$TOOLS" = "EXP$DISK:[EXTOOLS]"

     Aus der Sicht eines Experiment-Accounts gelangt man mit "RSXS$ROOT"
     direkt zu der eingestellten RSX11S-Version
     (z.B. PDP11-23 RSXS11 4.4):
       "RSXS$ROOT" = "RSXS44$PDP23" (LNM$JOB_80C2E460)
     1 "RSXS44$PDP23" = "STRAX2$DKA0:[EXPROOT.RSXS44$PDP23.]" (LNM$SYSTEM_TABLE)

5.3.3 Einrichtung eines Experiment-Accounts
-------------------------------------------

Ein Experiment-Account unterscheidet sich von einem normalen
User-Account dadurch, dass er die VAX-RSX11-Software nutzen kann zur
Programmentwicklung für die PDP11.  Die Struktur eines solchen Accounts
ist etwas unübersichtlich, da er das bearbeiten folgender Aufgaben
ermöglichen soll:
   • paralleles Angebot verschiedener RSXS11-Systeme
            PDP11-23 RSXS11 4.1
            PDP11-23 RSXS11 4.2
            PDP11-23 RSXS11 4.4
            PDP11-73 RSXS11 4.4

   • Konfigurieren des RSX11S (VMR, CFE, VNP)

   • einfacher Wechsel des RSX11S (NEWRSX, NEWSYS)

   • einfacher Wechsel der PDP11 (NEWPDP)

   • Programmentwicklung für die PDP11 (EDT, MAC, FTN, TKB, INS)
     (Editor, Assembler, Kompiler, Taskbuilder, Installieren)
Weitere Details finden Sie in der nachfolgenden HELP-Datei (see
HELP-Datei und in einigen 00README.TXT, jedoch zum Teil nicht auf dem
aktuellen Stand.
*Gut zu wissen:*
Die Verbindung eines Experiment-Accounts zu einem der RSX11S-Systeme
geschieht über Aliase:
     $ SET FILE/ENTER=...
     statt
     $ CRE/DIR ...
     Entfernen eines Alias
     $ SET FILE/REMOVE ...
Dies entspricht einem Hardlink unter Linux, jedoch mit dem Unterschied,
dass unter Linux der Inhalt eines Verzeichnisses erst gelöscht wird,
wenn der letzte Hardlink gelöscht wird.  Unter VMS jedoch geht der
Inhalt bereits beim ersten Löschen verloren.  Zur Vermeidung eines
Totalverlustes der RSX11S-Dateien sind diese auch für SYSTEM nicht
erlaubt zu löschen und es gibt eine Kopie davon.

Die folgende Anleitung beschreibt die Einrichtung eines solche
Experiment-Accounts mit dem Namen EXDEMO:
   • Einloggen als User SYSTEM

   • Editieren der Experiment-Liste
          $ SET DEF EX$TOOLS
          $ EDT EXPLIS.DAT
          *C
          <Zeile einfügen bzw. abändern>
          EXDEMO EXDEMO 50.11 * VAX 50.2
          ^Z (Cntl Z)
          *EXIT

   • Editieren der Experiment Logical Liste
          $ SET DEF SYS$MANAGER
          $ EDT STRZ_EXPERIMENTS.COM
          *C
          <Zeile einfügen bzw. abändern>
          $ DEF/SYS/EXEC/TRANS=(CONC,TERM) EX$EXDEMO  'P1':[EXPROOT.EXDEMO.]
          ^Z (Cntl Z)
          *EXIT
          <Mit Reboot aktualisieren>
          $ REBOOT

   • Neuen Account einrichten
          $ SET DEF SYS$SYSTEM
          $ RUN AUTHORIZE
          UAF> SHOW */BRIEF
          UAF> ADD EXDEMO /PASSW=xxxxxx /UIC=[311,106] /OWN="OCM-Museum" -
          /DEV=EX$DEMO/DIR=[HOME] /FLAGS=NODISUSER /JTQUOTA=2048
          UAF> SHOW EXDEMO
          UAF> EXIT
          <Bei dem ersten Login erfolgt eine Aufforderung, das Passwort zu ändern.>

   • Disk Quotas setzen
          $ SET DEF SYS$SYSTEM
          $ RUN SYSMAN
          SYSMAN> DISKQUOTA SHOW * /DEV=EXP$DISK
          SYSMAN> DISKQUOTA ADD EXDEMO /PERMQUOTA=40000 /DEV=EXP$DISK
          SYSMAN> DISKQUOTA SHOW EXDEMO /DEV=EXP$DISK
          SYSMAN> DISKQUOTA SHOW * /DEV=DATA$DISK
          SYSMAN> DISKQUOTA ADD EXDEMO /PERMQUOTA=40000 /DEV=DATA$DISK
          SYSMAN> DISKQUOTA SHOW EXDEMO /DEV=DATA$DISK
          SYSMAN> EXIT

   • Home-Verzeichnis einrichten
          $ CRE/DIR EX$EXDEMO:[HOME]/OWN=EXDEMO
          $ CRE/DIR DATA$EXDEMO:[DATEN]/OWN=EXDEMO

   • Host Loader Mapping Table aktualisieren (HLD.DAT)
     (Verzeichnis (VAX) der installierten Tasks (PDP11))
          $ SET DEF SYS$SYSTEM
          $ EDT HLD.DAT
          *C
          <einfügen>
          HNODE$ EXDEMO
          <einfügen System-Tasks>
          HTASK$ EVR...,<EX$EXDEMO:[RSX11S.005064]EVR.TSK>,LUN
          HTASK$ RMHACP,<EX$EXDEMO:[RSX11S.005064]RMHACP.TSK>,LUN
          HTASK$ LSN...,<EX$EXDEMO:[RSX11S.005064]LSN.TSK>,LUN
          HTASK$ RMTACP,<EX$EXDEMO:[RSX11S.005064]RMTACP.TSK>,LUN
          HTASK$ MIR...,<EX$EXDEMO:[RSX11S.005064]MIR.TSK>,LUN
          HTASK$ RMT,<EX$EXDEMO:[RSX11S.005064]RMT.TSK>,LUN
          HTASK$ TLK,<EX$EXDEMO:[RSX11S.005064]TLK.TSK>,LUN
          HTASK$ TCL...,<EX$EXDEMO:[RSX11S.005064]TCL.TSK>,LUN
          HTASK$ RVT,<EX$EXDEMO:[RSX11S.005064]RVT.TSK>,LUN
          HTASK$ SETHST,<EX$EXDEMO:[RSX11S.005064]SETHST.TSK>,LUN
          HTASK$ NCT...,<EX$EXDEMO:[RSX11S.005064]NCTCTL.TSK>,LUN
          HTASK$ NCP,<EX$EXDEMO:[RSX11S.005064]NCP.TSK>,LUN
          HTASK$ NIC...,<EX$EXDEMO:[RSX11S.005064]NICE.TSK>,LUN
          HTASK$ FAL...,<EX$EXDEMO:[RSX11S.005064]FAL.TSK>,LUN
          HTASK$ NTD,<EX$EXDEMO:[RSX11S.005064]NTD.TSK>,LUN
          HTASK$ NTD...,<EX$EXDEMO:[RSX11S.005064]NTDEMO.TSK>,LUN
          HTASK$ RSDV1H,<EX$EXDEMO:[RSX11S.001064]RSDV1H.TSK>,LUN
          <einfügen User-Tasks Grundausstattung>
          HTASK$ MCA,<EX$EXDEMO:[RSX11S.003064]MCA.TSK>
          HTASK$ MCP,<EX$EXDEMO:[RSX11S.003064]MCP.TSK>
          HTASK$ PDPINI,<EX$EXDEMO:[RSX11S.003064]PDPINI.TSK>
          HTASK$ HELP,<EX$EXDEMO:[RSX11S.003064]HELP.TSK>
          HTASK$ SHOSPE,<EX$EXDEMO:[RSX11S.003064]SHOSPE.TSK>
          HTASK$ PEAK,<EX$EXDEMO:[RSX11S.003064]PEAK.TSK>
          HTASK$ ANALYS,<EX$EXDEMO:[RSX11S.003064]ANALYS.TSK>
          HTASK$ VAX,<EX$EXDEMO:[RSX11S.003064]VAX.TSK>
          ^Z (Cntl Z)
          *EXIT

   • Einloggen als User EXDEMO
          Username: EXDEMO
          Password: ...
          $ SHOW DEFAULT
          EX$EXDEMO:[HOME]  <OK?>

   • Experiment einrichten
     Einrichten der notwendigen Verzeichnisse und Prozeduren durch
     NEWEXP.COM. Wird normalerweise nur einmal am Anfang aufgerufen.
          @EX$TOOLS:NEWEXP
          RSXS11-Root: RSXS44$PDP23 (z.B. für RSX11S-4.4, PDP11-23)

   • RSX11S einrichten
     Einstellung auf ein RSX11S-System durch NEWRSX.COM.
     Wird bei einem Systemwechsel aufgerufen.
     Es werden die notwendigen System-Files copiert, sowie Directory-
     Verbindungen hergestellt.  Den DECNET-Daten-Basen wird der
     Experiment- DECNET-Knoten bekannt gemacht.  Die hierzu notwendigen
     Daten müssen im File EX$TOOLS:EXPLIS.DAT enthalten sein.  Das
     RSX11S-System muss auf der gleichen Disk zu finden sein wie das
     Experiment.
          @EX$TOOLS:NEWRSX
          RSXS11-Root: RSXS44$PDP23 (z.B. für RSX11S-4.4, PDP11-23)

   • System konfigurieren
     Konfigurieren eines RSX11S-Systems durch NEWSYS.COM.
     Mehrfach Aufruf von NEWSYS ist möglich.
     Es wird die in den Files SYSVMR.CMD, NETVMR.CMD und USRVMR.CMD
     beschriebene Konfiguration installiert sowie mit NETVNP.CMD das
     DECNET geladen.
     USRVMR.CMD kann editiert werden um bei einem neuen Konfigurieren
     die User Tasks gleich mit zu installieren.
     SYSVMR.CMD bietet einige Optionen, die durch entfernen der
     ’Auskommentierung’ installiert werden koennen.
     Die HLD.DAT muss ggf.  aktualisiert werden (s.o.)!

          @EX$TOOLS:NEWSYS
          Password: (Daten-Transfers zur VAX benötigen das Account-Passwort)

   • DECnet-Fehler-Codes für Zugriffe zur VAX findet man
     im roten Ordner:
     DECnet RSX, Vol.  II, Chap.  4 DLX, Apps.  A B C
     im grauen Ordner:
     DECnet RSX, Progr.  Ref.  Manual, A B C
   • Die folgenden Aufrufe dienen der weiteren Pflege des RSX11S-Systems
     und der Programmentwicklung.  Man ist dazu auf dem zugehörigen
     Experiment-Account eingeloggt:
        > NEWPSW, Passwort für RSX11S ändern
          Wenn das VAX-Account-Passwort geändert wurde, muss dies auch
          dem RSX11S-System mitgeteilt werden, sonst gibt es
          Zugriffsprobleme auf der VAX.
               $ NEWPSW
               Passwort: ...

        > VMR, Virtual Monitor Routine
          Mit VMR wird das RSX11S-Image auf der VAX konfiguriert.
               $ RSX11S
               $ DIR
               $ VMR
               Enter filename: [002,064]rsx11s.sys
               VMR> ....
               VMR> EXIT

        > VNP, Virtual Network Program
          Mit VNP werden die volatilen Einstellungen des DECnets im
          RSX11S-Image auf der VAX konfiguriert.
               $ RSX11S
               $ VNP
               Enter filename: [002,064]rsx11s.sys
               VNP> HELP
               VNP> ....
               VNP> SHOW EXE CHAR
               VNP> ....
               VNP> EXIT

        > CFE, Configuration-Editor Mit CFE werden die permanenten
          Einstellungen des DECnets im RSX11S-Image auf der VAX
          konfiguriert.
               $ RSX11S
               $ CFE
               Enter filename: [002,064]CETAB
               CFE> HELP
               CFE> ....
               CFE> LIST EXE
               CFE> ....
               CFE> EXIT

        > INS, Installieren einer Task ins RSX11S-System
          Tasks müssen im RSX11S-Image installiert werden und auf der
          VAX in der HLD.DAT Datei eingetragen sein damit sie mit RUN
          gestartet werden können.  INS erledigt beide Aufgaben.
               z.B. das Programm MCA aus dem Default-Programmverzeichnis von EXDEMO:
               $ INS EX_PROG:MCA
               oder:
               $ INS EX$EXDEMO:[RSX11S.EXPROG]MCA
               oder:
               $ RSX11S
               $ INS [.EXPROG]MCA

        > REM, Entfernen einer Task aus dem RSX11S-System
               $ REM MCA

        > TAL, Auflisten der installierten Tasks
               $ TAL

   • Weitere nützliche Kommandos:
          $ SHOW SYMBOL *
          $ SHOW LOGICAL/TAB=LNM$JOB

5.3.4 Programmentwicklung
-------------------------

Die Entwicklung der Mess- und Auswerteprogramme wird unter dem
EXTEST-Account durchgeführt.
   • M11, Aufruf des PDP11 Macro11-Assemblers
   • FTN, Aufruf des PDP11 Fortran77-Compilers
   • TKB, Aufruf des PDP11 Task-Builders
Unter EX$TEST:[000000] findet man die Verzeichnisse für die
verschiedenen Programme, zusammen gefasst nach Typ (z.B ANALYS, PEAK,
SHOSPE) oder dem Namen des Experimentes für das sie benutzt wurden.
Dort findet man viele Beispiele für das Vorgehen bei der
Programmentwicklung.

Hilfreich ist dabei sicher auch:
     $ SHOW SYMBOL *

5.3.5 Die HELP-Datei
--------------------

Dies ist ein Print der HELP-Datei, wie sie über die PDP11 mit RUN HELP
abgerufen werden kann.  Sie enthält nützliche Infos über die Struktur
eines Experiment-Accounts.
     Help-File fuer Experimentknoten (RSX11S MV4.4 fuer PDP11/23)
     ===============================
     Stand: 07.01.1992
     Dieser Help-File kann auf der VAX ausgedruckt werden mit
     $ PRINT EX_HELP:HELP.TXT  wenn Sie in Ihrem Experiment eingelogged
     sind (sonst ist EX_HELP nicht richtig definiert!) oder von ueberall mit
     $ PRINT RSXS44$PDP23:[EXPROG]HELP.TXT

     Ihr Experiment ist inzwischen auf eine neue Generation von Experiment
     Software umgestellt worden. Dies betrifft sowohl die RSX11S-Version als
     auch die ganze Verwaltung eines Experimentes und hat auch geringfuegige
     Aenderungen an den Mess- und Auswerteprogrammen zu Folge gehabt. Der Grund
     fuer die organisatorischen Aenderungen ist im wesentlichen durch die
     Tatsache bestimmt, dass jetzt verschiedene Experimentversionen gleichzeitig
     existieren koennen.

     Die wichtigsten Aenderungen zu frueher:
     	Fuer die verschiedenen RSX11S-Systeme gibt es jeweils einen Satz
     	von Mess- und Auswerteprogrammen auf der EX_PROG: (frueher
     	EX$EXP00:[EXPROG]), der auf das jeweilige RSX11S-System 'gelinkt'
     	ist. Ein einfaches Austauschen der Programme zwischen verschiedenen
     	Systemen ohne 'Rebuild' ist i.a. nicht moeglich.
     	Ein interaktiver Login fuehrt jetzt zur EX$xxxx:[HOME], statt wie
     	frueher zur DATA$xxxx:[000000].
     	Alle Help-Files finden Sie auf der EX_HELP: Ihres Experimentes.
     	Wenn Sie auf einem anderen Experiment eingelogged sind, finden Sie
     	dort u.U. andere Help-Files, die nicht zu Ihrem Experiment passen!
     	Es gibt jetzt einen Ersatz fuer das RVT-Programm, das leider in
     	Verbindung mit dem EDT auch noch Macken hat: RUN SETHST
     	Die Abstuerze der PDP11, wenn eine andere PDP11 bootet, sind behoben.

     	Da sowohl das RSX11S-Betriebssystem als auch die mit dem neuen System
     	gelinkten Messprogramme an Laenge zugelegt haben, sind jetzt mindestens
     	512kB Speicherausbau der PDP11 notwendig. Fuer alle Messprogramme
     	wird jetzt der Spektren-Display in eine eigene Task (SHOSPE) verlegt,
     	was bei der Benutzung nur beim ersten Laden von SHOSPE auffaellt.
     	Dafuer kann SHOSPE dann aber auch einiges mehr, wie z.B. Peak-
     	Integration, Histogramm-, Fehlerbalken- und logarithmische Darstellung.
     	Will man die Spektren-Display-Moeglichkeit benutzen, so muss die
     	Task SHOSPE installiert sein.

       Fuer die neueren Mess- und Auswerteprogramme gilt:
     	Die Parameter-Files werden auf der EX_PARAM: abgelegt.
     	Der Default fuer die Spektren wird durch EX_DATA: festgelegt.
     	Beide Logicals werden in [RSX11S]LOGDEF.COM definiert und koennen
     	im [HOME]LOGIN.COM ,falls notwendig, umdefiniert werden.
       Fuer die Mess- und Auswerteprogramme alter Art gilt:
     	Die Parameter-Files werden auf der [HOME] abgelegt.
     	Der Default fuer die Spektren ist EX$xxxx (frueher DATA$xxxx!),
     	es muss also jetzt z.B. die File-Spezifikation DATA$xxxx:[DATEN]
     	angegeben werden, statt frueher [DATEN], um die gleiche Directory
     	zu erreichen.

     System (MCR) Kommandos:
     -----------------------
     (Nur die wichtigsten; weitere im RSX11S Vol 2A, System Generation 2-2)
     Alle Kommandos koennen auf 3 Zeichen verkuerzt werden.

     RUN XXXXXX	Start der Task XXXXXX (XXXXXX muss installiert sein)

     ABORT XXXXXX	Abbruch der Task XXXXXX

     RESUME XXXXXX	Reaktivieren einer suspendierten Task XXXXXX

     TAL		Liste der installierten Tasks (nicht alle sind startbar)

     TIME		Ausgabe von Datum und Zeit

     TIME hh:mm:ss DD-MMM-YY	Eingabe von Zeit und Datum (z.B. 23:59:59 23-MAR-89)

     EXIT RMT	Ausstieg nach 'Remote'-Einloggen auf einer PDP

     BRK		Ausstieg in den Executive Debugger XDT (zurueck mit G),
     		von da mit X zum Console Monitor, von da mit 173000g
     		ins Boot-Menue.

     ^C		Bei laufendem Programm einleiten einer Kommandoeingabe
     		an das System (MCR). Das Programm laeuft dabei weiter.

     System-Programme:
     -----------------
     RUN RSDV1H	Anzeige der Arbeitsspeicherbelegung

     RUN NTD		Anzeige der Netzwerkaktivitaeten

     RUN SETHST	Remote Login zu einem anderen Knoten mit CTERM Unterstuetzung
     		(alle VAXen)

     RUN RVT		Remote Login zu einer VAX (Decnet-RSX Vol 2)

     RUN RMT		Remote Login zu einer PDP (Decnet-RSX Vol 2)

     RUN NCP		Network Control Program (Decnet-RSX Vol 2)

     RUN TLK		Telefonieren mit einem anderen Terminal an einer PDP
     		 (Decnet-RSX Vol 2)

     RUN PDPINI	Holt Zeit und Datum von der VAX und bringt den File
     		[HOME]PDPINI.TXT (kann editiert werden) auf den Bildschirm.
     		Wird beim Booten automatisch aufgerufen.

     RUN HELP	Bringt diesen Help-File auf den Bildschirm

     RUN VAX		Intertask-Kommunikation mit der VAX. Die Kommando-Prozedur
     		VAX.COM muss auf der VAX::SYS$LOGIN:  vorhanden sein.

     Mess- und Auswerte-Programme:
     -----------------------------
     Naehere Beschreibungen koennen ueber die meisten Programme selber abgerufen
     werden.
     Manche Programme koennen nur in Verbindung mit einem bestimmten Experiment
     sinnvoll eingesetzt werden. Fuer diese ist die zustaendige Arbeitsgruppe
     sowie der betreffende Experimentknoten angegeben.
     In Klammer ist das gerade aktuelle Versionsdatum der Programme angegeben.
     Falls (???????) angegeben ist, bedeutet dies, dass diese Programme von der
     zustaendigen Arbeitsgruppe selbst betreut werden, und die aktuelle Version
     nur ueber diese Gruppe zu erhalten ist.
     Falls Ihnen ein solches Programm fehlt, oder sie eine neue Version brauchen,
     koennen sie es selbst installieren (s.u).

     RUN MCA		Multi-Channel-Analyser
     (25APR91)	Vielkanal-Analysator Messprogramm (neue Messprog. Generation)

     RUN MCP		Multi-Channel-Program
     (25APR91)	Vielkanal-Analysator Messprogramm

     RUN ETM		Energy-2LOG(Time)-Matrix-Program
     (28APR89)	Zeit-Energie-Matrizen mit logarithmischer Zeitachse

     RUN MATRIX	Messprogramm fuer zweidimensionale Matrizen
     (25JAN88)

     RUN LIST	Messprogramm fuer List-Mode-Daten
     (02DEC91)	(Task LISTRA muss installiert sein)

     RUN ANALYS	Auswerteprogramm fuer Spektren
     (14SEP90)	Mit linearer Energieeichung und Peakintegration

     RUN PEAK	Spektrendarstellungs- und Peakintegrationsprogramm
     (12DEC90)

     RUN IAM		Ion-Atom-Matrix Messprogramm
     (25JAN88)	(K2; EX202,EX017)

     RUN STAT	Ganzkoerperzaehler Messprogramm fuer statische Detektoren
     (12DEC90)	(Z3; GKZ)

     RUN ASTA	Ganzkoerperzaehler Auswertung fuer STAT Spektren
     (10DEC90)	(Z3; GKZ)

     RUN INCOR	Ganzkoerperzaehler Auswertung fuer STAT Spektren
     (18DEC90)	(Z3; GKZ)	(benoetigt INCOX (19DEC90))

     RUN SCAN	Ganzkoerperzaehler Messprogramm fuer scannende Detektoren
     (12DEC90)	(Z3; GKZ)

     RUN SCAM	Ganzkoerperzaehler Messprogramm fuer Orts- Energie-Matrizen
     (12DEC90)	(Z3; GKZ)	(benoetigt SHOSCM (14SEP90) statt SHOSPE)

     RUN TSCAN	Ganzkoerperzaehler Messprogramm fuer Zeit- Energie-Matrizen
     (12DEC90)	(Z3; GKZ)	(benoetigt SHOSCM (14SEP90) statt SHOSPE)

     RUN ASCA	Ganzkoerperzaehler Auswertung fuer SCAM und TSCAN Spektren
     (18DEC90)	(Z3; GKZ)	(benoetigt ASCS)

     RUN ASCS	Ganzkoerperzaehler Auswertung fuer ASCA Spektren
     (10DEC90)	(Z3; GKZ)

     RUN IRS		Messprogramm fuer Perkin-Elmer IRS 283 Infra-Rot-Spektrometer
     (13DEC90)	(B2; EXPIR) (Task IRSE muss installiert sein)

     RUN POL		Messprogramm fuer Polarisations Experiment
     (13DEC90)	(K3; GAMMA)

     RUN WIN		Messprogramm fuer Winkelverteilungs Experiment
     (13DEC90)	(K3; GAMMA)

     RUN EICH	Messprogramm fuer Energieeichung fuer POL und WIN
     (13DEC90)	(K3; GAMMA)

     RUN ESS		Elektronen-Stoss-Scan Messprogramm
     (31JAN91)	(ESS1(29JAN91) und ESS2(25JAN91) muessen installiert sein)
     		(K2; EX017)

     RUN ESW		Elektronen-Stoss-Absolut Messprogramm
     (31JAN91)	(Die Tasks ESW1(30JAN91) und ESB muessen installiert sein)
     		(K2; EX017)

     RUN ESB		Auswerteprogramm fuer ESW Spektren
     (06FEB91)	(K2; EX017)

     RUN DRM		Messprogramm fuer Dielektronische-Rekombinations-Matrizen
     (04JAN91)	(K2; EX016, EX017)

     RUN LTI		List-Mode-Messprogramm fuer Transferionisations-Experiment
     (29JUN88)	(K2; EX017) (Task LISTRA muss installiert sein)
     		LTI ist veraltet und laeuft nur noch mit LTI und LISTRA
     		von [EX017]!!

     RUN IIC		Ion-Ion-Koinzidenz Messprogramm
     (21APR91)	(K2; EX016)

     RUN IAC		Auswerteprogramm fuer IIC Spektren
     (08AUG91)	(K2; EX016)

     RUN IIP		Ion-Ion-Pulsed-beam Messprogramm
     (26APR91)	(K2; EX016) (Task IIP1 muss installiert sein)

     RUN IAP		Auswerteprogramm fuer IIP Spektren
     (13AUG91)	(K2; EX016)

     RUN IIF		Ion-Ion-Formfaktor Messprogramm
     (25APR91)	(K2; EX016)

     RUN LII		List-Mode-Messprogramm fuer Ion-Ion-Experiment
     (07JAN92)	(K2; EX016) (Tasks LII1 und LISTRA muessen installiert sein)

     RUN LIP		Pulsed-Beam-List-Mode-Messprogramm fuer Ion-Ion-Experiment
     (06JAN92)	(K2; EX016) (Task LISTRA muss installiert sein)

     RUN EPOS	Elektron-Positron-Spaltfragment-Winkelverteilungs-Experiment
     (25JAN88)	(K5; KFIVE)

     RUN TEPOS	Thermische Positronen Messprogramm
     (13DEC90)	(K4; TEPOS)

     RUN PRO		Probenwechsler Messprogramm
     (25APR91)	(Aktivlabor) (Die Tasks PR1, PR2, PR3, PR4 und SHOSPE
     		muessen installiert sein)

     SHOSPE		Display des aktuellen Spektrums
     (11NOV91)	Hilfs-Task fuer nahezu alle Messprogramme

     SHOMAT		Display des aktuellen Spektrums in Matrixform
     (12NOV91)	Hilfs-Task fuer einige Messprogramme

     LISTRA		Hilfs-Task zum Transfer der List-Mode-Daten zur VAX
     (07JAN92)

     Installieren eines Mess- oder Auswerteprogrammes:
     -------------------------------------------------
     Mit folgender Prozedur koennen Sie die obigen Programme fuer Ihr System
     installieren. Installieren Sie aber nicht wahllos alles Moegliche, denn
     es kostet Platz!

     So geht's:
     	Einloggen in den zugehoerigen Experiment-Account
     	$ TOP	(Einstellen der richtigen Disk EX$xxxx)
     	$ INS EX_PROG:program.EXE

     Da die verschiedenen Experimente mit unterschiedlichen RSX11S-Systemen
     betrieben werden, und nicht alle der obigen Programme fuer alle Systeme
     'gelinkt' wurden, erhalten Sie moeglicherweise eine Fehlermeldung weil das
     Programm fehlt. Es macht dann keinen Sinn, es von einem anderen System zu
     kopieren, weil es fuer Ihr System eigens 'gelinkt' werden muss. Rufen Sie
     mich an (Tel.: 2623)!

     Mit dem Installieren wird auf der Directory [RSX11S.003064] des Experiment
     Accounts eine Kopie 'program.TSK' abgelegt, und diese in das RSX11S-System
     installiert, sowie die notwendigen Eintragungen in der Host-Loader-Tabelle
     besorgt.
     Nach dem Installieren muss die PDP neu gebootet werden.

     Aus verschiedenen Gruenden kann das Installieren schief gehen, dann ist
     meistens das RSX11S-System kaputt. Man erkennt dies daran, dass das Booten
     kein Ende nimmt. Vergewisseren kann man sich mit
     	$ DIR [RSX11S.001064]RSX11S.SYS/FULL.
     Die Record-Laenge muss 512 Bytes sein. Falls nicht, muss ein neues System
     erstellt werden:
     	$ @EX$TOOLS:NEWSYS	Es werden 3 Diagnosts gemeldet
     	Password:	Passwort eingeben
     Die Messprogramme muessen danach neu installiert werden, falls sie nicht
     in den Installations-File [RSX11S.002064]USRVMR.CMD mit 'INS program'
     eingetragen sind. Dann werden sie bei der Systemerstellung wieder mitinstalliert.
     Die Kopien 'program.TSK' auf der [RSX11S.003064] und die Eintragungen in der
     Host-Loader-Tabelle muessen dazu von einer frueheren Installation vorhanden
     sein. Der Installations-File ist vom Benutzer zu editieren.
     Falls die Eintragungen im Installation-File fehlen, koennen bereits zuvor
     installierte Programme mit folgender Prozedur 're-installiert' werden:
     	$ SET DEF [RSX11S.003064]
     	$ VMR
     	Enter filename: RSX11S
     	VMR>INS program
     	VMR>INS ...
     	   .
     	   .
     	VMR>^Z	(Control Z to exit)
     Bei mehreren Programmen geht dies sehr viel schneller als eine
     Neuinstallation.
     Nicht mehr benoetigte Programme werden aus dem System entfernt mit:
     	$ REM program	(Remove)
     Eine Uebersicht ueber die installierten Programme erhaelt man mit dem Aufruf:
     	$ TAL	(Task list)

     Programmentwicklung fuer die PDP11 auf der VAX
     ----------------------------------------------
     Demnaechst auf diesem Help-File

     Directory Struktur fuer einen Experiment Account
     ------------------------------------------------
     Jedem Experiment XXXX sind mindestens eine logische Platte EX$XXXX:,
     normalerweise jedoch zwei (EX$XXXX: und DATA$XXXX:), moeglicherweise aber
     auch mehr logische Platten zugeordnet:

     Logische Experiment Platte EX$XXXX:
     	Symbol	logischer Name		Aequivalenz-Name (z.Zt.)
     	----------------------------------------------------------
     	TOP	EX$XXXX:[000000]	EXP$DISK:[XXXX]
     	HOME	EX$XXXX:[HOME]		EXP$DISK:[XXXX.HOME]
     	TOOLS	EX$XXXX:[TOOLS]		EXP$DISK:[XXXX.TOOLS]
     	usw.

     Logische Daten Platte DATA$XXXX:
     	Symbol	logischer Name		Aequivalenz-Name (z.Zt.)
     	----------------------------------------------------------
     	TOP1	DATA$XXXX:[000000]	EXP$DATA:[XXXX]
     	DATEN	DATA$XXXX:[DATEN]	EXP$DATA:[XXXX.DATEN]
     	usw.

     Hinter dem logischen Namen verbirgt sich eine ganz normale Directory mit
     Subdirectories auf einer der Platten. Es wird jedoch empfohlen die logischen
     Namen zu verwenden, um bei einer Verlagerung von einer Platte zur anderen
     Probleme zu vermeiden.

     Die EX$XXXX: ist in der Regel auf der DUA0: untergebracht, waehrend die
     DATA$XXXX: auf der DUA1: zu finden ist. Die logischen Namen EX$XXXX: und
     DATA$XXXX: sind auf der VAX systemweit definiert, auf anderen Rechnern im
     allgemeinen jedoch nicht bekannt! Mit SHOW LOG koennen Sie sich die
     existierenden Definitionen ansehen.

     Der Login-File muss immer auf der EX$XXXX:[HOME] stehen.
     Aus Gruenden des Bedienungskomforts sind einige Directory-Einstellungen
     als Symbole definiert (sh. Login-File).

     Einige Directories haben feste Aufgaben und sollten der Uebersichtlichkeit
     halber nicht missbraucht werden:

     auf der EX$XXXX:
     Symbol	Directory	Verwendung
     ----------------------------------
     TOP	[000000]	Subdirectory-Eintraege; Versions-File
     HOME	[HOME]		Login-File; Netserver-Log-Files; COM-Files fuer die
     			Intertask-Kommunikation mit der PDP11
     TOOLS	[TOOLS]		Werkzeuge fuer die PDP11 Betriebssystemarbeiten und
     			Programmentwicklung.
     RSX11S	[RSX11S]	RSX11S System-Directories, s.h. 000README.TXT

     auf der DATA$XXXX:
     Symbol	Directory	Verwendung
     ----------------------------------
     TOP1	[000000]	Subdirectory-Eintraege;

     Vom Experiment benoetigte Logicals
     (mit (*) gezeichnete Logicals sind Experiment abhaengig)
     --------------------------------------------------------
     EX$TOOLS	Zugang zu Programmen fuer privilegierte Systemarbeiten
     EX_PROG		Messprogramm Directory (*)
     EX_HELP		Help-Files Directory (*)

     EXP$DISK	Experiment Root
     EXP$DATA	Experiment Daten Root

     RSXS$ROOT	Verwendete RSX11S-System-Version (*)

     RSXS41$PDP23	}
     RSXS44$PDP23	}Roots fuer die verschiedenen RSX11S-System-Versionen
     RSXS44$PDP73	}
     usw.		}

     RSXS41$GEN	}Roots fuer die Generierung der verschiedenen
     RSXS44$GEN	}RSX11S-System-Versionen
     usw.		}

5.4 VAXstation Backup
=====================

Mit dem Sony-DAT-Laufwerk und 90m Tapes gelingt es die neu erstellte
Konfiguration auf Tapes zu retten.  Allerdings werden die Tapes erst
einmal als schreibgesperrt erkannt und man muss sie oft wiederholt neu
laden.
     Neue Backups:
     Backup der System Disk:
     (die aktiven System-Dateien fehlen, s.h. Stand-Alone-Backup)
     BACKUP DKA0:[000000...]* MKA400:DKA0_13SEP24 /REWIND
     Inhalt auflisten:
     BACKUP/LIST MKA400:DKA0_13SEP24 /REWIND
     Backup der Data Disk:
     BACKUP DKA100:[000000...]* MKA400:DKA100_13SEP24 /REWIND
     Inhalt auflisten:
     BACKUP/LIST MKA400:DKA100_13SEP24 /REWIND
     Backup der USER$Disk (2 fach):
     BACKUP USER$DISK:[000000...]* MKA400:USER$DISK_13SEP24 /REWIND

     Vorhandene, alte Backups:
     DKA0_03JAN01, DKA100_03JAN01
     DKA0_05MAR99, DKA100_05MAR99
     DKA0_17DEC97, DKA100_17DEC97

     DAT Tapes
     DDS0   60m   2GB
     DDS1   90m   4GB
     DDS2  120m   8GB
     DDS3  125m  24BG
     DDS4  150m  40GB

5.5 Vorschlag für Demos
=======================

5.5.1 Bildschirmausgabe von Messdaten
-------------------------------------

Da im Museum (zur Zeit??)  kein Experiment zum Anschluss an eine PDP11
zur Verfügung steht, kann die Durchführung einer physikalischen Messung
nicht gezeigt werden.  Es ist jedoch möglich, vorhandene
kernphysikalische Spektren auf dem grafischen Bildschirm einer
angeschlossenen PDP11 auszugeben.  Folgende Spektren wurden dafür
ausgesucht und sind auf der Daten-Disk von MUSEUM und EXDEMO
gespeichert:
     AM241.SPE  : Americium-241 Eichpräparat
     BA133.SPE  : Barium-133 Eichpräparat
     BI207.SPE  : Wismut-207 Eichpräparat
     CO60.SPE   : Kobalt-60 Eichpräparat
     CS137.SPE  : Cäsium-137 Eichpräparat
     NA22.SPE   : Natrium-22 Eichpräparat
     STRUMPF.SPE: alter Glühstrumpf mit aktivem Thorium
     KACHEL.SPE : Kachel mit Uran-haltigem Farbstoff
     UHR.SPE    : Taschenuhr mit Radium-haltigen Leuchtziffern
     RAUM.SPE   : Raumuntergrund
     MATRIX.IIM : 3-D-Spektrum (x-y-z-Matrix)

Ausgabe auf dem VT240 der PDP11:
     > RUN PEAK
     Spektrum on ...: D
     Directory ...: EX$DATA:[DATEN]
     File ...: RAUM.SPE
     Function: 4
     < ^H für Hilfe >
     < ^Z zurück >

Eine weitere schöne Demo ist die Ausgabe von x/y/z-Messdaten (Matrix).
Dazu wird allerdings das IIM-Messprogram benötigt, das diese Matrizen
erzeugt:
     > RUN IIM
     Spektrum on ...: D
     Directory ...: EX$DATA:[DATEN]
     File ...: MATRIX.IIM
     Function: 4
     < ^H für Hilfe >
     < ^Z zurück >

5.5.2 Simulation einer Messung
------------------------------

Beim Versuch, mittels Messprogramm (z.B. MCA) eine Messung zu starten,
erhält man eine Meldung, dass das spezielle Interface zum Experiment
nicht vorhanden ist.  Da die notwendige Ausrüstung noch vorhanden ist,
habe ich den Versuch gemacht, einen Datentransfer mit Messdaten zur
PDP11 zu ermöglichen.

Die zusätzliche Ausrüstung besteht aus einem 19"-Crate (Data-Routing)
mit fünf Europa-Karten.
   • Ein Interface zur PDP11.
   • Eine Steuerung des Routing-Crates (RST).
   • Eine Steuerung für ein benachbartes Experiment-Interface (IFS).
   • Das Experiment-Interface ist eine Uhr zum Messen kurzer Zeiten
     (100ns, 10MHz Takt).  Das Uhr-Register hat 16 Bit (65536).  Wenn es
     nicht vorher zurückgesetzt wird, beginnt es nach einem Überlauf
     wieder bei Null.
   • Ein Taktgeber (1kHz-Takt) zum Auslesen der Uhr.

Die Messung kann mit dem MCA oder MCP Programm erfolgen:
     > RUN MCA
     2    (Start Experiment)
     4    (Test Run)
     ...  (Title)
     1024 (Length)
     0    (Offset)
     0    (Compress)
     0000 (Data Ident)
     0    (Timer)

Da sowohl Uhr als auch Taktgeber den gleichen Mutter-Takt haben, ist das
mit MCA erhaltene ’Spektrum’ ein stetig hoch wachsender Lattenzaun.  Der
Lattenabstand ist 16, da nach 625 Überläufen die Startposition wieder
erreicht wird:
     65536 * 625 = 40960000
     10MHz / 1kHz / 625 = 16
Kein besonders beeindruckendes Ergebnis, aber damit lassen sich alle
Funktionen eines Messprogrammes durchspielen.

6 PDP11/23 (erhalten die Namen der jeweils zugeordneten Experimente)
********************************************************************

6.1 PDP11 Dokumentation
=======================

Software:
     Lizenzen (16 edle Mappen)
     VAX-11 RSX 4.0 (1 Ordner)
     RSX-11S 4.1 (7 Ordner)
     DECnet-RSX 4.0 (4 Ordner)
     DECnet-RSX 4.2 (5 Ordner)
     DECnet-RSX 4.5 (5 Ordner)
     PDP11 Fortran 77 (3 Ordner)

Hardware:
Da 8 PDP11-23 installiert waren, ist einiges mehrfach vorhanden.
     PDP11/23 Doku (8 mal 1 Box)
     PDP11/73 Doku (1 Heft)
     LSI11 Service Manual (3 Ordner)
     Q-Bus Installationshandbuch (8 mal 1 Ordner)
     Micro/PDP11 Owners Manual (8 mal 1 Ordner)
     VT220 Doku (8 mal 1 Box)
     VT240 Doku (8 mal 1 Box)
     VT330 Doku (6 mal 1 Heft)
     Sammlung von Service Disketten (1 Schachtel)

6.2 PDP11 Hardware
==================

Es sind 8 PDP11/23 als 19"-Einschübe vorhanden mit folgender
Ausstattung:
   • mit KDF11B-BE Prozessor
   • mit 512 kB Memory
   • ohne Festplatte
   • mit zwei RX50 Diskettenlaufwerken
   • mit DEQNA Ethernet Interface
   • mit DRV11-J Parallel Line Interface (Experiment Steuerung)
   • mit DRQ11-C Alternate Buffer DMA Interface (Messdaten Transfer)
   Die lange Lagerung hat ihnen offensichtlich nicht geschadet.

6.3 PDP11 Software
==================

6.3.1 Server der PDP11
----------------------

Die PDP11/23, da ohne Festplatte, benötigt für ihren Betrieb einen
Server.  In unserer Konfiguration war dies ursprünglich eine VAX 750
gefolgt von einer VAXstation 4000.

Die Aufgaben des Servers sind folgende:
   • Generieren des RSX11S-Betriebssystems.
   • Entwickeln, Kompilieren und Installieren der RSX11S-Anwendungen.
   • Booten der PDP11/23.
   • Nachladen der RSX11S-Anwendungen bei Bedarf.
   • Aufnehmen der Messdaten.
Für die RSX11S-Programmierarbeit auf dem Server stellt ’VAX-11 RSX’ eine
geeignete Plattform zur Verfügung.

6.3.2 Booten der PDP11
----------------------

Die PDP11 wird über das Ethernet (XH0) (LAT-Protokoll) gebootet.  Wenn
der Netzwerkanschluss fehlt zeigt sie auf dem Bildschirm das Boot-Menü
an, so dass man z.B. auch eine Diskette als Boot-Medium wählen kann um
einen der zahlreichen Tests laufen zu lassen.

Nach dem Booten über XH0 meldet sich die PDP11 mit dem Executive
Debugging Tool (XDT, Anleitung im Internet).  Mit
     XDT> g
wird das RSX11S-Betriebssystem gestartet

6.3.3 Run Task
--------------

Damit eine RSX11S-Task gestartet werden kann muss sie installiert
werden.  Dies geschieht auf dem Server (s.h.  VAXstation).  Welche
installiert sind erfährt man durch das Kommando
     > TAL
Der Start erfolgt mit einem RUN-Kommando z.B.:
     > RUN HELP (ausführliche Info zum Umgang mit dem RSX11S, s.h. Anhang)

7 Telefunken RA741 Analogrechner
********************************

7.1 Analogrechner Dokumentation
===============================

Es ist eine vollständige Hardware-Dokumentation (Schaltpläne) sowie
Gerätebeschreibung und eine Programmieranleitung mit Beispielen
vorhanden.

7.2 Analogrechner Hardware
==========================

Nach einer diffizilen Reparaturaktion durch unsere E-Werkstatt ist der
RA741 (hoffentlich) wieder betriebsbereit.  Einige der alten
Germanium-Transistoren mussten jedoch durch moderne Bauteile ersetzt
werden, da sie nicht mehr zu beschaffen waren.  Aus dem gleichen Grund
mussten zwei Boards, die jedes einen(!)  kompletten Operationverstärker
verdrahtet haben, vorläufig durch moderne OPs ersetzt werden.

Eine Sammlung von mechanischen Ersatzteilen ist vorhanden.

7.3 Analogrechner Software
==========================

Analogrechner werden durch Stecken von Kabeln und Einstellen von
Potentiometern programmiert.  Programmierstecker und Kabel sind original
erhalten.

8 Danke E-Werkstatt!
********************

Ein besonderer Dank gebührt unserer Elektronik-Werkstatt für die
Wiederbelebung der alten Rechner.  Insbesondere Johannes Schmidt ist es
zu verdanken, dass eigentlich hoffnungslose Fälle heute wieder
betriebsbereit sind.  Vor allem der Telefunken Analogrechner mit seinem
diskreten Aufbau aus Transistoren, Widerständen und Kondensatoren war
eine echte Herausforderung an einen modernen Elektroniker...